mutationtesting

# MetricsResult

###
Related Doc: package mutationtesting

#### sealed trait MetricsResult extends AnyRef

Linear Supertypes
AnyRef, Any
Known Subclasses
DirOps, FileOps, MetricsDirectory, MetricsFile, MetricsResultRoot
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MetricsResult
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def compileErrors: Int

   The mutant resulted in a compiler error.

   The mutant resulted in a compiler error. This can happen in compiled languages. Don't spend too much attention looking at this mutant. It is not represented in your mutation score.

2. #### abstract def killed: Int

   At least one test failed while this mutant was active.

   At least one test failed while this mutant was active. The mutant is killed. This is what you want, good job!

3. #### abstract def noCoverage: Int

   No tests are executed to test this mutant, because the mutant is located in a part of the code that is not hit by any of your tests.

   No tests are executed to test this mutant, because the mutant is located in a part of the code that is not hit by any of your tests. This means the mutant also survived and your missing a test case for it.

4. #### abstract def survived: Int

   All tests passed while this mutant was active.

   All tests passed while this mutant was active. the mutant survived. You're missing a test for it.

5. #### abstract def timeout: Int

   The running of tests with this mutant active resulted in a timeout.

   The running of tests with this mutant active resulted in a timeout. For example, the mutant resulted in an infinite loop in your code. Don't spend too much attention to this mutant. It is counted as "detected". The logic here is that if this mutant were to be injected in your code, your CI build would detect it, because the tests will never complete.

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

11. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

12. #### lazy val mutationScore: Double

    The total percentage of mutants that were killed.

13. #### lazy val mutationScoreBasedOnCoveredCode: Double

    The total percentage of mutants that were killed based on the code coverage results.

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### final def notify(): Unit

    Definition Classes
      AnyRef

16. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

17. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

18. #### def toString(): String

    Definition Classes
      AnyRef → Any

19. #### lazy val totalCovered: Int

    The number of mutants that your tests produce code coverage for.

20. #### lazy val totalDetected: Int

    The number of mutants detected by your tests.

21. #### lazy val totalInvalid: Int

    The number of mutants that are invalid.

    The number of mutants that are invalid. They couldn't be tested because they produce either a compile error.

22. #### lazy val totalMutants: Int

    All mutants.

23. #### lazy val totalUndetected: Int

    The number of mutants that are not detected by your tests.

24. #### lazy val totalValid: Int

    The number of mutants that are valid.

    The number of mutants that are valid. They didn't result in a compile error or runtime error.

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped